# -*-makefile-*-
#
# Copyright (C) 2012 by <>
#
# See CREDITS for details about who has contributed to this project.
#
# For further information about the PTXdist project and license conditions
# see the README file.
#

#
# We provide this package
#
PACKAGES-$(PTXCONF_GPU_FSL) += gpu_fsl

#
# Paths and names
#
GPU_FSL_VERSION	:= master
GPU_FSL_MD5	:= 7c3849df17ab639873ba1f877bb6aecf
GPU_FSL		:= gpu_fsl
GPU_FSL_SUFFIX	:= tar.gz
GPU_FSL_URL	:= unknown
GPU_FSL_SOURCE	:= $(SRCDIR)/$(GPU_FSL).$(GPU_FSL_SUFFIX)
GPU_FSL_DIR	:= $(BUILDDIR)/$(GPU_FSL)
GPU_FSL_LICENSE	:= unknown

# ----------------------------------------------------------------------------
# Get
# ----------------------------------------------------------------------------

#$(GPU_FSL_SOURCE):
#	@$(call targetinfo)
#	@$(call get, GPU_FSL)

# ----------------------------------------------------------------------------
# Prepare
# ----------------------------------------------------------------------------

#GPU_FSL_CONF_ENV	:= $(CROSS_ENV)

#
# autoconf
#
#GPU_FSL_CONF_TOOL	:= autoconf
#GPU_FSL_CONF_OPT	:= $(CROSS_AUTOCONF_USR)

#$(STATEDIR)/gpu_fsl.prepare:
#	@$(call targetinfo)
#	@$(call clean, $(GPU_FSL_DIR)/config.cache)
#	cd $(GPU_FSL_DIR) && \
#		$(GPU_FSL_PATH) $(GPU_FSL_ENV) \
#		./configure $(GPU_FSL_CONF_OPT)
#	@$(call touch)

# ----------------------------------------------------------------------------
# Compile
# ----------------------------------------------------------------------------

$(STATEDIR)/gpu_fsl.compile:
	@$(call targetinfo)
#	@$(call world/compile, GPU_FSL)
	@$(call touch)

# ----------------------------------------------------------------------------
# Install
# ----------------------------------------------------------------------------

$(STATEDIR)/gpu_fsl.install:
	@$(call targetinfo)
#	@$(call world/install, GPU_FSL)
	@$(call touch)

# ----------------------------------------------------------------------------
# Target-Install
# ----------------------------------------------------------------------------

$(STATEDIR)/gpu_fsl.targetinstall:
	@$(call targetinfo)

	@$(call install_init, gpu_fsl)
	@$(call install_fixup, gpu_fsl,PRIORITY,optional)
	@$(call install_fixup, gpu_fsl,SECTION,base)
	@$(call install_fixup, gpu_fsl,AUTHOR,"Dmitry Lavnikevich <d.lavnikevich@sam-solutions.net>")
	@$(call install_fixup, gpu_fsl,DESCRIPTION,missing)

	@$(call install_tree, gpu_fsl, 0, 0, $(GPU_FSL_DIR), /)

	@$(call install_finish, gpu_fsl)

	@$(call touch)

# ----------------------------------------------------------------------------
# Clean
# ----------------------------------------------------------------------------

#$(STATEDIR)/gpu_fsl.clean:
#	@$(call targetinfo)
#	@$(call clean_pkg, GPU_FSL)

# vim: syntax=make
