# -*-makefile-*-
#
# Copyright (C) 2012 by <>
#
# See CREDITS for details about who has contributed to this project.
#
# For further information about the PTXdist project and license conditions
# see the README file.
#

#
# We provide this package
#
PACKAGES-$(PTXCONF_MM_FSL) += mm_fsl

#
# Paths and names
#
MM_FSL_VERSION	:= master
MM_FSL_MD5	:= 82234301b89a501dc87ccc4fd8e98d55
MM_FSL		:= mm_fsl
MM_FSL_SUFFIX	:= tar.gz
MM_FSL_URL	:= unknown
MM_FSL_SOURCE	:= $(SRCDIR)/$(MM_FSL).$(MM_FSL_SUFFIX)
MM_FSL_DIR	:= $(BUILDDIR)/$(MM_FSL)

# ----------------------------------------------------------------------------
# Get
# ----------------------------------------------------------------------------

#$(MM_FSL_SOURCE):
#	@$(call targetinfo)
#	@$(call get, MM_FSL)

# ----------------------------------------------------------------------------
# Prepare
# ----------------------------------------------------------------------------

#MM_FSL_CONF_ENV	:= $(CROSS_ENV)

#
# autoconf
#
#MM_FSL_CONF_TOOL	:= autoconf
#MM_FSL_CONF_OPT	:= $(CROSS_AUTOCONF_USR)

#$(STATEDIR)/mm_fsl.prepare:
#	@$(call targetinfo)
#	@$(call clean, $(MM_FSL_DIR)/config.cache)
#	cd $(MM_FSL_DIR) && \
#		$(MM_FSL_PATH) $(MM_FSL_ENV) \
#		./configure $(MM_FSL_CONF_OPT)
#	@$(call touch)

# ----------------------------------------------------------------------------
# Compile
# ----------------------------------------------------------------------------

$(STATEDIR)/mm_fsl.compile:
	@$(call targetinfo)
#	@$(call world/compile, MM_FSL)
	@$(call touch)

# ----------------------------------------------------------------------------
# Install
# ----------------------------------------------------------------------------

$(STATEDIR)/mm_fsl.install:
	@$(call targetinfo)
#	@$(call world/install, MM_FSL)
	@$(call touch)

# ----------------------------------------------------------------------------
# Target-Install
# ----------------------------------------------------------------------------

$(STATEDIR)/mm_fsl.targetinstall:
	@$(call targetinfo)

	@$(call install_init, mm_fsl)
	@$(call install_fixup, mm_fsl,PRIORITY,optional)
	@$(call install_fixup, mm_fsl,SECTION,base)
	@$(call install_fixup, mm_fsl,AUTHOR,"Dmitry Lavnikevich <d.lavnikevich@sam-solutions.net>")
	@$(call install_fixup, mm_fsl,DESCRIPTION,missing)

	@$(call install_tree, mm_fsl, 0, 0, $(MM_FSL_DIR), /)

	@$(call install_finish, mm_fsl)

	@$(call touch)

# ----------------------------------------------------------------------------
# Clean
# ----------------------------------------------------------------------------

#$(STATEDIR)/mm_fsl.clean:
#	@$(call targetinfo)
#	@$(call clean_pkg, MM_FSL)

# vim: syntax=make
