#!/bin/bash

# gpio 1_7 gpio 2_24 gpio 3_20

#export gpio 1_7  ((1-1)*32+ 7) =  7
#export gpio 2_24 ((2-1)*32+24) = 56
#export gpio 3_20 ((3-1)*32+20) = 84


GPIOs=('7' '84')
# Export GPIO's and set direction to output
for i in ${GPIOs[@]}; do
	[ ! -d /sys/class/gpio/gpio$i ] && echo $i > /sys/class/gpio/export
	echo out > /sys/class/gpio/gpio$i/direction
done

while [ 1 ]; do
	# turn off all gpio leds
	for i in ${GPIOs[@]}; do
		echo 0 > /sys/class/gpio/gpio$i/value
	done
	sleep 1
	# turn on all gpio leds
	for i in ${GPIOs[@]}; do
		echo 1 > /sys/class/gpio/gpio$i/value
	done
	sleep 1
done
